/*************************** (C) COPYRIGHT 2017 CXHY ****************************
 * 文件名  ：RS485.h
 * 描  述  ：RS485通信处理头文件  
 * 版  本  ：V1.0
 * 作  者  ：XuZhongPing
 * 日  期  ：2017/02/10
*********************************************************************************/
#ifndef __RS485_H
#define __RS485_H
#include "stdio.h"
#include "stdint.h"

#define CTRL485	PAout(0)											//485模式控制引脚
extern uint8_t Address;
	  	
extern uint8_t RS485_RX_BUF[128];     				//接收缓冲
extern uint8_t RS485_TX_BUF[64];     					//发送缓冲

extern uint8_t RS485_RX_STA; 									//RS485接收状态标记
extern uint8_t RS485_communicationStatus;			//RS485通讯成功与否标志
extern uint16_t RS485_serialNumber;						//RS485通信流水号
extern uint16_t RS485_RX_serialNumber;				//RS485通信流水号
extern uint8_t rxCmd;													//从机返回的指令码

void RS485_Init(void);
uint8_t Receive_One(uint8_t *s);
void Send_Data(uint8_t Serial_data);
void Send_One(uint8_t *s);
uint8_t Serial_Command_Run(uint8_t *s);
void Serial_Command(void);
void RS485_Task(void);
void RS485_ReceiveTask(void);

#endif


/******************** (C) COPYRIGHT 2017 CXHY *****END OF FILE*******************/
